Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationService

    public interface ConfigurationService

This interface define methods to manage server configuration service.

Method Summary
`java.lang.String` | `getActiveRealm()` Return active realm in the server;
`int` | `getAdminPort()` Return Administration Port.
`int` | `getConnectionTimeout()` Return connection Timeout in millseconds;
`java.util.Vector` | `getHostAddresses()` Return active host addresses;
`java.lang.String` | `getHostName()` get active host name;
`int` | `getMaxNumberOfConnection()` Return the maximum number of connections;
`int` | `getMaxNumberOfHandler()` Return the maximum number of handlers.
`int` | `getPort()` Returns the service port of service configuration on specified network address;
`java.util.Vector` | `getRealms()` Return Realm;
`boolean` | `getServiceOnAll()` Return if Provide Service on All Network Addresses ;
`java.lang.String` | `getServletPropertyFileName()` Return the servlet property file name;
`int` | `getSSLAdminPort()` return http admin server secure port.
`java.lang.String` | `getSSLAlgorithm()` return keystore algorithm.
`java.lang.String` | `getSSLKeystoreFile()` return the keystore (database file) location.
`java.lang.String` | `getSSLKeystorePassword()` return password which is used to protect the integrity of the keystore.
`java.lang.String` | `getSSLKeystoreType()` return the qualifier specifies the type of keystore to be instantiated.
`int` | `getSSLPort()` return http server SSL port.
`java.lang.String` | `getSSLProtocol()` return the encryption/decryption protocol to be used on SSLSocket.
`boolean` | `isEnableSSL()` return if enable SSL.
`void` | `loadProperties()` set the properties of server
`void` | `setActiveRealm(java.lang.String activeRealm)` Set active realm in the server;
`void` | `setAdminPort(int adminPort)` Set Administration Port.
`boolean` | `setConnectionTimeout(int connectionTimeout)` Set connection Timeout in millseconds;
`void` | `setEnableSSL(boolean isEnable)` Set http server enable SSL.
`void` | `setHostName(java.lang.String hostName)` set active host name;
`boolean` | `setMaxNumberOfConnection(int maxNumberOfConnection)` Set the maximum number of connections;
`boolean` | `setMaxNumberOfHandler(int maxNumberOfHandler)` Set the maximum number of handlers.
`boolean` | `setPort(int port)` Set the service port of service configuration on specified network address;
`void` | `setServiceOnAll(boolean allAddresses)` Set if Provide Service on All Network Addresses ; true if Provide Service on All Network Addresses , else means Network Address at: *.
`boolean` | `setServletPropertyFileName(java.lang.String servletPropertyFileName)` Set the servlet property file name;
`void` | `setSSLAdminPort(int adminPort)` Set http admin server secure port
`void` | `setSSLAlgorithm(java.lang.String algorithm)` Set keystore algorithm
`void` | `setSSLKeystoreFile(java.lang.String keyStoreFile)` set http server keystore file name
`void` | `setSSLKeystorePassword(java.lang.String keyStorePassword)` set http server keystore file password
`void` | `setSSLKeystoreType(java.lang.String keyStoreType)` set http server keystore type.
`void` | `setSSLPort(int port)` set http server secure port
`void` | `setSSLProtocol(java.lang.String protocol)` Set the encryption/decryption protocol to be used on SSLSocket.

Method Detail

### setPort

    boolean setPort(int port)

  Set the service port of service configuration on specified network address;

  Parameters:
    `port` - the service port code.

### getPort

    int getPort()

  Returns the service port of service configuration on specified network address;

  Returns:
    the service port code.

### setAdminPort

    void setAdminPort(int adminPort)

  Set Administration Port.

  Parameters:
    `adminPort` - Administration Port.

### getAdminPort

    int getAdminPort()

  Return Administration Port.

  Returns:
    Administration Port.

### setMaxNumberOfHandler

    boolean setMaxNumberOfHandler(int maxNumberOfHandler)

  Set the maximum number of handlers.

  Parameters:
    `maxNumberOfHandler` - the maximum number of handlers.

### getMaxNumberOfHandler

    int getMaxNumberOfHandler()

  Return the maximum number of handlers.

  Returns:
    the maximum number of handlers.

### setMaxNumberOfConnection

    boolean setMaxNumberOfConnection(int maxNumberOfConnection)

  Set the maximum number of connections;

  Parameters:
    `maxNumberOfConnection` - the maximum number of connections;

### getMaxNumberOfConnection

    int getMaxNumberOfConnection()

  Return the maximum number of connections;

  Returns:
    the maximum number of connections;

### setConnectionTimeout

    boolean setConnectionTimeout(int connectionTimeout)

  Set connection Timeout in millseconds;

  Parameters:
    `connectionTimeout` - connection Timeout in millseconds;

### getConnectionTimeout

    int getConnectionTimeout()

  Return connection Timeout in millseconds;

  Returns:
    connection Timeout in millseconds;

### setServletPropertyFileName

    boolean setServletPropertyFileName(java.lang.String servletPropertyFileName)

  Set the servlet property file name;

  Parameters:
    `servletPropertyFileName` - the servlet property filename.

### getServletPropertyFileName

    java.lang.String getServletPropertyFileName()

  Return the servlet property file name;

  Returns:
    the servlet property filename.

### setActiveRealm

    void setActiveRealm(java.lang.String activeRealm)

  Set active realm in the server;

  Parameters:
    `activeRealm` - active realm in the server.

### getActiveRealm

    java.lang.String getActiveRealm()

  Return active realm in the server;

  Returns:
    active realm in the server.

### getServiceOnAll

    boolean getServiceOnAll()

  Return if Provide Service on All Network Addresses ;

  Returns:
    true if Provide Service on All Network Addresses , else means Network Address at: *.

### getHostAddresses

    java.util.Vector getHostAddresses()

  Return active host addresses;

  Returns:
    active host addresses.

### getHostName

    java.lang.String getHostName()

  get active host name;

  Returns:
    host name in the server.

### setHostName

    void setHostName(java.lang.String hostName)

  set active host name;

  Parameters:
    `hostName` - hostName of the server.

### setServiceOnAll

    void setServiceOnAll(boolean allAddresses)

  Set if Provide Service on All Network Addresses ; true if Provide Service on All Network Addresses , else means Network Address at: *.

### getRealms

    java.util.Vector getRealms()

  Return Realm;

  Returns:
    object which is Realm.

### loadProperties

    void loadProperties()

  set the properties of server

### setEnableSSL

    void setEnableSSL(boolean isEnable)

  Set http server enable SSL.

  Parameters:
    `isEnable` - true enable SSL, false disable it.

### isEnableSSL

    boolean isEnableSSL()

  return if enable SSL.

  Returns:
    true when enable SSL, otherwise return false.

### getSSLPort

    int getSSLPort()

  return http server SSL port.

### setSSLPort

    void setSSLPort(int port)

  set http server secure port

  Parameters:
    `port` - http server secure port

### getSSLAdminPort

    int getSSLAdminPort()

  return http admin server secure port.

### setSSLAdminPort

    void setSSLAdminPort(int adminPort)

  Set http admin server secure port

  Parameters:
    `port` - http admin server secure port

### getSSLKeystoreFile

    java.lang.String getSSLKeystoreFile()

  return the keystore (database file) location.

### setSSLKeystoreFile

    void setSSLKeystoreFile(java.lang.String keyStoreFile)

  set http server keystore file name

  Parameters:
    `keyStoreFile` - http server keystore file name.

### getSSLKeystorePassword

    java.lang.String getSSLKeystorePassword()

  return password which is used to protect the integrity of the keystore.

### setSSLKeystorePassword

    void setSSLKeystorePassword(java.lang.String keyStorePassword)

  set http server keystore file password

  Parameters:
    `keyStorePassword` - which is used to protect the integrity of the keystore.

### getSSLKeystoreType

    java.lang.String getSSLKeystoreType()

  return the qualifier specifies the type of keystore to be instantiated.

### setSSLKeystoreType

    void setSSLKeystoreType(java.lang.String keyStoreType)

  set http server keystore type.

  Parameters:
    `keyStoreType` - which is used to specifies the type of keystore. The valid values are JKS and PKCS12.

### getSSLAlgorithm

    java.lang.String getSSLAlgorithm()

  return keystore algorithm.

### setSSLAlgorithm

    void setSSLAlgorithm(java.lang.String algorithm)

  Set keystore algorithm

  Parameters:
    `algorithm` - defaults to the Sun implementation (SunX509). For IBM JVMs you should use the value IbmX509.

### getSSLProtocol

    java.lang.String getSSLProtocol()

  return the encryption/decryption protocol to be used on SSLSocket.

### setSSLProtocol

    void setSSLProtocol(java.lang.String protocol)

  Set the encryption/decryption protocol to be used on SSLSocket.

  Parameters:
    `protocol` - The valid values are SSL and TLS.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD